Subject: Re: [MOBILE-IP] Cellular IP for Private Network Access

From: Thomas Eklund <[email-masked]>
Date: Fri, 7 Jan 2000 11:19:34 +0100

> -----Original Message-----
> From: Phil Karn [mailto:[email-masked]]
> Sent: Friday, January 07, 2000 10:28 AM
> To: [email-masked]
> Subject: Re: [MOBILE-IP] Cellular IP for Private Network Access
>
>
> >The problem occurs when two Mobile Hosts accessing different
> private networks
> >get assigned the same IP address at WAN level. In this case,
> Cellular IP node
> >will have problem for IP packet routing based on Mobile Host
> IP address.
>
> How can/why should two mobile hosts get assigned the same IP address?
> We have no trouble avoiding that in wired networks, why should
> wireless be any different?
Because the address space is not enough....

>
> Or are you referring to NON-global IP addresses (eg., on network 10)
> belonging to distinct private networks that multiple mobile users on
> the same cellular FA may wish to use at the same time?
>
> If so, this is a totally artificial problem created by the cellular
> carrier's pointless insistence on implementing its own MIP FA.  If you
> strip all vestiges of MIP out of the carrier, put a co-located FA in
> the mobile hosts, and have the carrier simply provide a unique,
> possibly temporary, globally routable IP address to each mobile user
> for the duration of his session, the problem disappears. Each mobile
> user's FA peers with his own HA, and each FA/HA association can
> encapsulate packets with non-global IP addresses belonging to his home
> network without any conflict with anyone else doing the same.
You absolutly right and this is solved in mobile ipv6!!! in default...
So I suppose you argue for IPv6 then??

>
> Once again, we see that co-locating the FA at the mobile host is the
> *only* MIP configuration that makes any technical or operational
> sense.  But I suppose I'll be told (and not for the first time) that
> it doesn't make "marketing" sense from the carrier's perspective.
Thats because they are running there systems on IPv4 and dont have enough
addresses so they have to use private addresses and "share a smaller pool of
global addresses" when they access the Internet.. This of course is a bad
design and put several security restrictions on your network.

>
> Over-the-air encapsulation overhead is a red herring, for several
> reasons. First, there are more efficient ways to encapsulate than
> sending two complete IP headers. Second, even if you do send two full
> IP headers, VJ header compression can be easily extended to work on
> them. Third and most important, encapsulated MIP traffic will be a
> tiny (if not zero) fraction of most mobile packet data users' traffic
> for a very simple reason: the vast majority of mobile users run
> clients, not servers. Those clients can initiate their transactions
> with whatever temporary IP address is assigned by the carrier. Because
> most network transactions are apt to be very short compared to the
> rate at which addresses change due to inter-cellular-system mobility,
> an address change during a transaction will be a rare event, and if it
> happens it can easily be repeated. I.e., MIP solves a problem they
> just don't have, and it imposes some substantial costs in the process
> (e.g., routing that can be wildly suboptimum).

This is not true...!! The mobility signalling is very heavy, especially how
it is designed in today's mobileip... There are though efforts that try to
solve this problem and try to scale up the micro mobility signalling (paging
support/location management etc...).

Imagine that you are a wireless carrier and you probably have a couple of
hundred of thousands of users that are in an area and perhaps a hundred
active ones....
Then you can imagine that the signalling load is quite big...

>
> Virtually every dialup ISP already uses PPP dynamic address
> assignment. I don't know of any that provide MIP FAs. Why is cellular
> any different?
It provides mobility....:-)

You cant roam between two operators using PPP....

/Thomas

---

From: Phil Karn <[email-masked]>
Date: Fri, 7 Jan 2000 22:48:02 -0800

>design and put several security restrictions on your network.

Well, given their current data airtime prices, I don't think Sprint
PCS will have to worry about address exhaustion anytime soon. Your
average generic dialup ISP charges a heck of a lot less than Sprint
does and they don't seem to have any problem giving their customers
global addresses for the duration of their connections. So do the
cable modem services I know about (@Home and Road Runner).

Actually, I think private addresses and a NAT would be acceptable to
the vast majority of wireless data users for the same reason that MIP
isn't very useful -- nearly all of the applications are network
clients, not servers.

>it is designed in today's mobileip... There are though efforts that try to

I'm thinking mainly about IS-95 CDMA, which has considerable
intra-system mobility for some good reasons (e.g., support of
soft-handoff). This makes a MIP handoff a pretty rare event, so rare
that most users probably wouldn't need MIP at all.

Phil